<!-- FlexExtractor config file to generate the CMW publications file for PVSS -->
<flexextractor version="1.0" description="Config file to generate CWM publications">
	<input type="XML_XPATH" combine="true">
		<source name="cmwConfigs" parameter="/cmw/cmwConfigs/cmwConfig">
			<data name="configName" select="./@configName"/>
			<data name="domain" select="./domain/text()"/>
			<data name="system" select="./system/text()"/>
            <data name="subsystem" select="./subsystem/text()"/>
			<data name="fec" select="./fec/text()"/>
			<data name="accelerator" select="./accelerator/text()"/>
            <data name="acceleratorZone" select="./acceleratorZone/text()"/>
            <data name="ppm" select="./ppm/text()"/>
			<data name="project" select="./project/text()"/>
		</source>
		<source name="mergedCmwPublications" parameter="/cmw/mergedCmwPublications/mergedCmwPublication/cmwPublication">
			<data name="publicationAlias" select="./alias/text()" />
			<data name="deviceType" select="./deviceType/text()"/>
			<data name="dpe" select="./dpe/text()"/>
			<data name="cmwConfig" select="./cmwConfig/text()"/>
			<data name="property" select="./property/text()"/>
			<data name="direction" select="./direction/text()"/>
			<data name="value" select="./value/text()"/>
			<data name="time" select="./time/text()"/>
			<data name="description" select="./description/text()"/>
			<data name="cmwDevice" select="./cmwDevice/text()"/>
		</source>
	</input>
	<output>
        <section condition="{cmwConfigs.configName} == {mergedCmwPublications.cmwConfig}"
				 head="Devicename,Classname,Fecname,Accelerator,Servername,Accelerator Zone,Description,Subsystem,Alias,Ppm">
			<section
					generate="%compute({mergedCmwPublications.cmwDevice}.upper())%,%-
			            -%%compute(({cmwConfigs.system} + '_' + {cmwConfigs.domain}).upper())%,%-
			            -%%compute({cmwConfigs.fec}.lower())%,%-
			            -%%compute({cmwConfigs.accelerator}.upper())%,%-
			            -%%compute(({cmwConfigs.system} + '.' + {cmwConfigs.domain} +'.' + {cmwConfigs.project}).lower())%,%-
			            -%%compute({cmwConfigs.acceleratorZone}.upper())%,%-
			            -%%compute({mergedCmwPublications.description})%,%-
			            -%%compute({cmwConfigs.subsystem})%,%-
			            -%%compute({mergedCmwPublications.publicationAlias}.upper())%,%-
			            -%%compute({cmwConfigs.ppm})%"
					unique="true"/>
		</section>
	</output>
</flexextractor>